<template>
    <div class="cart-container">
        <div class="cart-head">
            <div class="container mb-30">
                <h2 class="text-right">Planilla #{{ order.id }}</h2>
            </div>
            <div class="table-responsive">
                <table class="table table-borderless">
                    <thead>
                        <tr>
                            <th scope="col">#</th>

                            <th scope="col"></th>
                            <th scope="col">Cursos</th>

                            <th scope="col" class="text-right">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(item, i) in order.items" :key="item.id">
                            <th scope="row">
                                {{ i + 1 }}
                            </th>

                            <td>
                                <img
                                    :src="item.cursos.feature_image"
                                    class="img-fluid"
                                    width="35"
                                    alt="product"
                                />
                            </td>
                            <td>
                                {{ item.cursos.title }}
                            </td>

                            <td class="text-right">
                                $
                                {{
                                    item.cursos.price_sale
                                        ? item.cursos.price_sale
                                        : item.cursos.price
                                }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="cart-body">
            <div class="row">
                <div class="col-md-12 order-1 order-lg-2 col-lg-7 col-xl-6">
                    <div v-if="order.cupon" class="order-total table-responsive ">
                        <strong>
                            Codigo Promocional:
                        </strong>
                        <span>
                            {{ order.cupon.promo_code }}
                        </span>
                    </div>
                </div>
                <div class="col-md-12 order-1 order-lg-2 col-lg-7 col-xl-6">
                    <div class="order-total table-responsive ">
                        <table class="table table-borderless text-right">
                            <tbody>
                                <tr>
                                    <td>Sub Total :</td>
                                    <td>$ {{ subTotal }}</td>
                                </tr>
                                <tr v-if="order.cupon">
                                    <td>
                                        Descuento({{
                                            order.cupon.percent_desc
                                                ? order.cupon.percent_desc + "%"
                                                : order.cupon.value_desc + "$"
                                        }})
                                    </td>
                                    <td v-if="order.cupon.percent_desc">
                                        $
                                        {{
                                            (order.cupon.percent_desc / 100) *
                                                subTotal
                                        }}
                                    </td>
                                    <td v-if="order.cupon.value_desc">
                                        ${{ order.cupon.value_desc }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>IVA(0%) :</td>
                                    <td>$ {{ iva }}</td>
                                </tr>
                                <tr>
                                    <td class="text-black f-w-7 font-18">
                                        TOTAL :
                                    </td>
                                    <td class="text-black f-w-7 font-18">
                                        $ {{ total }}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="cart-footer">
            <div class="row">
                <div class="col-6">
                    <button
                        onclick="window.history.go(-1);"
                        class="btn btn-primary-rgba my-1"
                    >
                        <i class="feather icon-arrow-left ml-2"></i> Regresar a
                        la pág. anterior
                    </button>
                </div>
                <div class="col-6 text-right">
                    <button
                        v-if="order.status == 0 && user.role > 5"
                        v-on:click.prevent="pedido()"
                        class="btn btn-success-rgba my-1"
                    >
                        Continuar con el págo<i
                            class="feather icon-arrow-right ml-2"
                        ></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ["orders", "auth"],
    mounted() {
        console.log(this.order);
        this.verify();
        this.get();
    },
    data() {
        return {
            order: this.orders,
            user: this.auth,
            subTotal: "",
            iva: "",
            total: "",
            desc: ""
        };
    },
    methods: {
        get() {
            this.order.items.forEach(e => {
                if (e.cursos) {
                    // console.log(e.cursos.price_sale);
                    if (e.cursos.price_sale) {
                        this.subTotal =
                            Number(this.subTotal) + Number(e.cursos.price_sale);
                    } else {
                        this.subTotal =
                            Number(this.subTotal) + Number(e.cursos.price);
                    }
                }
            });

            this.iva = Number(this.subTotal) * 0;
            if (this.order.cupon) {
                if (this.order.cupon.percent_desc) {
                    this.desc =
                        (this.subTotal * this.order.cupon.percent_desc) / 100;
                }
                if (this.order.cupon.value_desc) {
                    this.desc = this.order.cupon.value_desc;
                }
            }
            this.total = Number(this.subTotal) + Number(this.iva) - this.desc;
        },
        pedido() {
            let order = this.order;
            order.items = "";
            sessionStorage.setItem("order", JSON.stringify(order));
            location.href = "/checkout";
        },
        verify() {
            if (this.user.role > 5) {
                if (this.order.user_id != this.user.id) {
                    window.history.go(-1);
                }
            }
        }
    }
};
</script>
